Package com.mckoi.database.sql

## Class SimpleCharStream

- java.lang.Object
- - com.mckoi.database.sql.SimpleCharStream

    public final class SimpleCharStream
    extends java.lang.Object

An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).

### Field Summary

Fields
`int` `bufpos`
`static boolean` `staticFlag`

### Constructor Summary

Constructors
`SimpleCharStream​(java.io.InputStream dstream)`
`SimpleCharStream​(java.io.InputStream dstream, int startline, int startcolumn)`
`SimpleCharStream​(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)`
`SimpleCharStream​(java.io.Reader dstream)`
`SimpleCharStream​(java.io.Reader dstream, int startline, int startcolumn)`
`SimpleCharStream​(java.io.Reader dstream, int startline, int startcolumn, int buffersize)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `adjustBeginLineColumn​(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
`void` `backup​(int amount)`
`char` `BeginToken()`
`void` `Done()`
`int` `getBeginColumn()`
`int` `getBeginLine()`
`int` `getColumn()` Deprecated.
`int` `getEndColumn()`
`int` `getEndLine()`
`java.lang.String` `GetImage()`
`int` `getLine()` Deprecated.
`char[]` `GetSuffix​(int len)`
`char` `readChar()`
`void` `ReInit​(java.io.InputStream dstream)`
`void` `ReInit​(java.io.InputStream dstream, int startline, int startcolumn)`
`void` `ReInit​(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)`
`void` `ReInit​(java.io.Reader dstream)`
`void` `ReInit​(java.io.Reader dstream, int startline, int startcolumn)`
`void` `ReInit​(java.io.Reader dstream, int startline, int startcolumn, int buffersize)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### staticFlag

    public static final boolean staticFlag

See Also:
  Constant Field Values

#### bufpos

    public int bufpos

### Constructor Detail

#### SimpleCharStream

    public SimpleCharStream​(java.io.Reader dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

#### SimpleCharStream

    public SimpleCharStream​(java.io.Reader dstream,
                            int startline,
                            int startcolumn)

#### SimpleCharStream

    public SimpleCharStream​(java.io.Reader dstream)

#### SimpleCharStream

    public SimpleCharStream​(java.io.InputStream dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

#### SimpleCharStream

    public SimpleCharStream​(java.io.InputStream dstream,
                            int startline,
                            int startcolumn)

#### SimpleCharStream

    public SimpleCharStream​(java.io.InputStream dstream)

### Method Detail

#### BeginToken

    public final char BeginToken()
                          throws java.io.IOException

Throws:
  `java.io.IOException`

#### readChar

    public final char readChar()
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### getColumn

    public final int getColumn()

Deprecated.

See Also:
  `getEndColumn()`

#### getLine

    public final int getLine()

Deprecated.

See Also:
  `getEndLine()`

#### getEndColumn

    public final int getEndColumn()

#### getEndLine

    public final int getEndLine()

#### getBeginColumn

    public final int getBeginColumn()

#### getBeginLine

    public final int getBeginLine()

#### backup

    public final void backup​(int amount)

#### ReInit

    public void ReInit​(java.io.Reader dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

#### ReInit

    public void ReInit​(java.io.Reader dstream,
                       int startline,
                       int startcolumn)

#### ReInit

    public void ReInit​(java.io.Reader dstream)

#### ReInit

    public void ReInit​(java.io.InputStream dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

#### ReInit

    public void ReInit​(java.io.InputStream dstream)

#### ReInit

    public void ReInit​(java.io.InputStream dstream,
                       int startline,
                       int startcolumn)

#### GetImage

    public final java.lang.String GetImage()

#### GetSuffix

    public final char[] GetSuffix​(int len)

#### Done

    public void Done()

#### adjustBeginLineColumn

    public void adjustBeginLineColumn​(int newLine,
                                      int newCol)

Method to adjust line and column numbers for the start of a token.